--- libstdc++/Makefile.orig	Thu Oct 19 21:41:44 2006
+++ libstdc++/Makefile	Thu Oct 19 22:25:12 2006
@@ -15,8 +15,10 @@
 .if ${MACHINE_ARCH} == "arm"
 CFLAGS+=	-D_GLIBCXX_SJLJ_EXCEPTIONS=1
 .endif
-CFLAGS+=	-I${.CURDIR} -I${SUPDIR} -I${GCCDIR} -I${SRCDIR}/include
+INCDIRS=	-I${.CURDIR} -I${SUPDIR} -I${GCCDIR} -I${SRCDIR}/include
+CFLAGS+=	${INCDIRS}
 CFLAGS+=	-frandom-seed=RepeatabilityConsideredGood
+CXXFLAGS+=	${INCDIRS}
 CXXFLAGS+=	-fno-implicit-templates -ffunction-sections -fdata-sections \
 		-Wno-deprecated
 
--- libsupc++//Makefile.orig	Thu Oct 19 22:04:18 2006
+++ libsupc++//Makefile	Thu Oct 19 22:34:52 2006
@@ -17,9 +17,11 @@
 # from libiberty:
 SRCS+=	cp-demangle.c
 
+INCDIRS=	-I${SRCDIR} -I${GCCDIR} -I${.CURDIR}/../libstdc++
 CFLAGS+=	-DIN_GLIBCPP_V3 -DHAVE_CONFIG_H
-CFLAGS+=	-I${SRCDIR} -I${GCCDIR} -I${.CURDIR}/../libstdc++
+CFLAGS+=	${INCDIRS}
 CFLAGS+=	-frandom-seed=RepeatabilityConsideredGood
+CXXFLAGS+=	${INCDIRS}
 CXXFLAGS+=	-fno-implicit-templates -ffunction-sections -fdata-sections
 
 HDRS=	exception new typeinfo cxxabi.h exception_defines.h
